BEEM - Android XMPP - Bug #207

Deconnection ... reconnection automatique
10/22/2009 12:36 PM - Vincent Véronis

Status: Closed Start date: 10/22/2009
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: User Interface Estimated time: 3.00 hours
Target version: Version Forum EIP

Affected version: Locale:

Description

Changer de status -> Deconnecter.
On se deconnecte bien mais derriere on lance I'activite Login qui se reconnecte automatiquement. Si on veut se deconnecter c'est
pour stopper Beem... need solution =)

Associated revisions

Revision 472:4acc4947d6bc - 10/28/2009 08:17 PM - Frédéric Barthéléry

Fixes #207
Use the BroadcastReceiver to closes activities on disconnection event.

Revision 472:4acc4947d6bc - 10/28/2009 08:17 PM - Da Risk

Fixes #207
Use the BroadcastReceiver to closes activities on disconnection event.

Revision 472:4acc4947d6bc - 10/28/2009 08:17 PM - Da Risk
Fixes #207

Use the BroadcastReceiver to closes activities on disconnection event.

History

#1 - 10/22/2009 12:47 PM - Vincent Véronis
- Estimated time changed from 1.00 h to 3.00 h

Lors de la reconnection automatique. Si on fait la "fleche retour" pour annuler la connection automatique. Celle ci s'arrete bien en revanche lorsqu'on
refait un coup de retour. On se retrouve sur la contact list, il y a segfault quand on refait un retour sur la contactlist...

10-22 14:41:14.223: ERROR/AndroidRuntime(747): Uncaught handler: thread Thread-34 exiting due to uncaught exception

10-22 14:41:14.323: ERROR/AndroidRuntime(747): java.lang.lllegalArgumentException: Service not registered:
com.beem.project.beem.ui.Login$BeemServiceConnection@437ba150

10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at android.app.ActivityThread$Packagelnfo.forgetServiceDispatcher(ActivityThread.java:880)
10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at android.app.ApplicationContext.unbindService(ApplicationContext.java:865)
10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at android.content.ContextWrapper.unbindService(ContextWrapper.java:324)

10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at
com.beem.project.oeem.ui.Login$BeemConnectionListener.connectionFailed(Login.java:185)

10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at
com.beem.project.oeem.service.XmppConnectionAdapter$ConnexionListenerAdapter.connectionFailed(XmppConnectionAdapter.java:310)
10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at

com.beem.project.oeem.service. XmppConnectionAdapter.connectSync(XmppConnectionAdapter.java:153)

10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at
com.beem.project.oeem.service.XmppConnectionAdapter$1.run(XmppConnectionAdapter.java:116)

10-22 14:41:14.323: ERROR/AndroidRuntime(747):  at java.lang.Thread.run(Thread.java:1060)

Jai eu un segfault aussi lors de la connection automatique ou j'ai annule la connection....

10-22 14:42:55.383: ERROR/AndroidRuntime(808): java.lang.lllegalArgumentException: Comparison method violates its general contract!
10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at java.util. TimSort.mergeHi(TimSort.java:864)

10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at java.util. TimSort.mergeAt(TimSort.java:481)

10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at java.util. TimSort.mergeCollapse(TimSort.java:404)

10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at java.util. TimSort.sort(TimSort.java:210)

10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at java.util. TimSort.sort(TimSort.java:169)

10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at java.util.Arrays.sort(Arrays.java:2489)

10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at java.util.Collections.sort(Collections.java:1940)

10-22 14:42:55.383: ERROR/AndroidRuntime(808):  at com.beem.project.beem.ui.ContactList.sortBeemContactList(ContactList.java:313)
at
at android.os.Handler.handleCallback(Handler.java:587)

at android.os.Handler.dispatchMessage(Handler.java:92)

at android.os.Looper.loop(Looper.java:123)

at android.app.ActivityThread.main(ActivityThread.java:4203)

at java.lang.reflect.Method.invokeNative(Native Method)

at java.lang.reflect.Method.invoke(Method.java:521)

at com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:791)
at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:549)

at dalvik.system.NativeStart.main(Native Method)

: java.lang.lllegalArgumentException: Comparison method violates its general contract!
at java.util.Arrays.sort(Arrays.java:2489)

at java.util.Collections.sort(Collections.java:1940)

at com.beem.project.boeem.ui.ContactList.sortBeemContactList(ContactList.java:313)
Pas mal de probleme a se niveau la ...

#2 - 10/22/2009 03:16 PM - Frédéric Barthéléry

at android.os.Handler.handleCallback(Handler.java:587)

at android.os.Handler.dispatchMessage(Handler.java:92)

at android.os.Looper.loop(Looper.java:123)

at android.app.ActivityThread.main(ActivityThread.java:4203)

at java.lang.reflect.Method.invokeNative(Native Method)

at java.lang.reflect.Method.invoke(Method.java:521)

at com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:791)
at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:549)

at dalvik.system.NativeStart.main(Native Method)

Quand on appuie sur la fleche de retour on ne fait que fermer la fenetre de progression. il me semble qu'il n'y a rien qui annule la connexion.
Je pense qu'il vaut mieux s'attarder sur le truc qui a ete changer et qui fait une reconnection automatique alors qu'avant non.

#3 - 10/28/2009 03:00 PM - Frédéric Barthéléry

- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry

Je m'en charge on va gerer ca bien

#4 - 10/28/2009 07:21 PM - Frédéric Barthéléry

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset r472.

#5 - 11/19/2009 04:28 PM - Vincent Véronis

- Status changed from Resolved to Closed
